# Class CIM_FCSwitchCapabilities
extends CIM_EnabledLogicalElementCapabilities

FibreChannel switch control and configuration capabilities.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Capabilities
|
+--CIM_EnabledLogicalElementCapabilities
|
+--CIM_FCSwitchCapabilities

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | FibreChannel switch control and configuration capabilities.
UMLPackagePath | string | CIM::Device::FC
Version | string | 2.11.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
DomainIDConfigureable | boolean |
Description | string | Boolean that indicates whether the DomainID setting can be modified.
MappingStrings | string | FC-SWAPI.INCITS-T11|SWAPI_UNIT_CONFIG_CAPS_T|EditDomainID
ModelCorrespondence | string | CIM_FCSwitchSettings.PreferredDomainID
DomainIDLockedSupported | boolean |
Description | string | Boolean that indicates whether the DomainIDLocked setting can be modified.
MappingStrings | string | FC-SWAPI.INCITS-T11|SWAPI_UNIT_CONFIG_CAPS_T|EditDomainIDLocked
ModelCorrespondence | string | CIM_FCSwitchSettings.DomainIDLocked
MaxDomainID | uint8 |
Description | string | Maximum DomainID value supported by the switch. This value must be greater than or equal to MinDomainID.
MappingStrings | string | FC-SWAPI.INCITS-T11|SWAPI_UNIT_CONFIG_CAPS_T|MaxDomainID
MaxValue | sint64 | 239
MinValue | sint64 | 1
ModelCorrespondence | string | CIM_FCSwitchSettings.PreferredDomainID
MinDomainID | uint8 |
Description | string | Minimum DomainID value supported by the switch.
MappingStrings | string | FC-SWAPI.INCITS-T11|SWAPI_UNIT_CONFIG_CAPS_T|MinDomainID
MaxValue | sint64 | 239
MinValue | sint64 | 1
ModelCorrespondence | string | CIM_FCSwitchSettings.PreferredDomainID
PrincipalPrioritiesSupported | uint16[] |
Description | string | This array contains the principal priority settings that are supported by the switch.
MappingStrings | string | FC-SWAPI.INCITS-T11|SWAPI_UNIT_CONFIG_CAPS_T|SupportedSwitchPriorities
ModelCorrespondence | string | CIM_FCSwitchSettings.PrincipalPriority
ValueMap | string | 2, 3, 4, 5
Values | string | Principal, Subordinate, Any, Not Applicable

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_Capabilities
ElementNameEditSupported | boolean | CIM_EnabledLogicalElementCapabilities
ElementNameMask | string | CIM_EnabledLogicalElementCapabilities
InstanceID | string | CIM_Capabilities
MaxElementNameLen | uint16 | CIM_EnabledLogicalElementCapabilities
RequestedStatesSupported | uint16[] | CIM_EnabledLogicalElementCapabilities

## Class Methods